<?php
/**
 * The main template file
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file
 *
 * Please see /external/bootstrap-utilities.php for info on Starkers_Utilities::get_template_parts()
 *
 * @package 	WordPress
 * @subpackage 	Bootstrap 5.1.0
 * @autor 		Firmbee
 */
?>
<?php BsWp::get_template_parts( array( 
	'parts/shared/html-header', 
	'parts/shared/header' 
) ); ?>

<?php if ( have_posts() ): ?>

<main>
<div class="container">
          <div class="row">
            <div class="main col-lg-8">
                <div class="all-posts">
					<?php if ( have_posts() ): ?>
						<?php while ( have_posts() ) : the_post(); ?>
						<div class="post-item">
							<div class="post-img"><img src="<?php echo get_the_post_thumbnail_url($post->ID, 'full'); ?>"></div>
							<div class="post-main-info">
							<h4><a href="<?php esc_url( the_permalink() ); ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h4>
							<div class="post-meta text-muted">
                           		 <span><i class="far fa-user"></i> Posted by <?php echo get_the_author(); ?></span><span><i class="far fa-calendar"></i> <?php echo get_the_date( 'd m Y' ); ?></span><span><i class="far fa-comment-alt"></i> <?php comments_number(); ?></span>
                    		</div>
							<p><?php the_excerpt(); ?></p>
							<a href="<?php esc_url( the_permalink() ); ?>" class="btn-fill">Read More</a>
							</div>
						</div>
						<?php endwhile; ?>
					

					<?php else: ?>
						<h1>
							<?php echo __('Nothing to show yet.', 'firmbee_software_house')?>
						</h1>
					<?php endif; ?>
				</div>


				<?php get_template_part('parts/shared/pagination');?> 

				
			</div>
			<?php get_sidebar(); ?>
		</div>
</div>
			
			
</main>

<?php else: ?>
	<h1>
		<?php echo __('Nothing to show yet.', 'firmbee_software_house')?>
	</h1>
<?php endif; ?>

<?php BsWp::get_template_parts( array( 
	'parts/shared/footer',
	'parts/shared/html-footer'
) ); ?>